document.getElementById('trip-form').addEventListener('submit', function(e) {
  e.preventDefault();
  
  const destination = document.getElementById('destination').value;
  const startDate = document.getElementById('start-date').value;
  const endDate = document.getElementById('end-date').value;
  
  // Show itinerary section
  document.getElementById('itinerary').classList.remove('hidden');
  
  // Clear previous itinerary
  const itineraryList = document.getElementById('itinerary-list');
  itineraryList.innerHTML = '';
  
  // Add trip details to itinerary
  const tripDetails = document.createElement('div');
  tripDetails.className = 'trip-details';
  tripDetails.innerHTML = `
    <h3>${destination}</h3>
    <p>${startDate} to ${endDate}</p>
  `;
  itineraryList.appendChild(tripDetails);
  
  // Simulate finding accommodations
  const accommodationList = document.getElementById('accommodation-list');
  accommodationList.innerHTML = `
    <div class="accommodation-item">
      <h3>Luxury Hotel</h3>
      <p>5-star hotel in city center</p>
    </div>
    <div class="accommodation-item">
      <h3>Cozy B&B</h3>
      <p>Charming bed and breakfast</p>
    </div>
    <div class="accommodation-item">
      <h3>Budget Hostel</h3>
      <p>Affordable shared accommodations</p>
    </div>
  `;
});